import { h } from "@stencil/core";
export class IconOpener {
    constructor() {
        this.open = false;
    }
    render() {
        return (h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "18", height: "18", viewBox: "0 0 18 18" }, this.open ? h("path", { d: "M9 6l-4 4h8z" }) : h("path", { d: "M5 8l4 4 4-4z" })));
    }
    static get is() { return "anj-icon-opener"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() { return {
        "$": ["icon-opener.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["icon-opener.css"]
    }; }
    static get properties() { return {
        "open": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "open",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
